;; Copyright (C) 2002 Alex Ott
;;
;; Author: ottalex@narod.ru

(add-to-list 'load-path "/usr/share/emacs/site-lisp/ilisp")
(defvar ilisp-*directory* "/usr/share/emacs/site-lisp/ilisp")
(require 'completer)
;; 
(autoload 'run-ilisp   "ilisp" "Select a new inferior Lisp." t)
(autoload 'common-lisp "ilisp" "Inferior generic Common Lisp." t)
(autoload 'clisp-hs   "ilisp" "Inferior Haible/Stoll CLISP Common Lisp." t)
(autoload 'sbcl  "ilisp" "Inferior Steel Bank Common LISP." t)
;; 
(setq clisp-hs-program "clisp -I")
(setq ilisp-*use-fsf-compliant-keybindings* t)
(setq ilisp-*use-frame-for-output* nil)
(setq ilisp-*use-frame-for-arglist-output-p* nil)
(setq ilisp-motd nil)

(setq common-lisp-hyperspec-root "/usr/share/doc/hyperspec/")
(setq cltl2-root-url "file:///usr/share/doc/cltl/")

(set-default 'auto-mode-alist
	     (append '(("\\.lisp$" . lisp-mode)
                       ("\\.lsp$" . lisp-mode)
                       ("\\.cl$" . lisp-mode))
                     auto-mode-alist))

(add-hook 'lisp-mode-hook '(lambda () (require 'ilisp)))
(add-hook 'ilisp-load-hook
	  '(lambda ()
	     (when ilisp-*use-fsf-compliant-keybindings*
	       (setq ilisp-*prefix* "\C-c"))
	     (setq lisp-no-popper t)
	     
	     ;; Make sure that you don't keep popping up the 'inferior
             ;; Lisp' buffer window when this is already visible in
             ;; another frame. Actually this variable has more impact
             ;; than that. Watch out.
             ; (setq pop-up-frames t)

             ;;(message "Running ilisp-load-hook")
             ;; Define LispMachine-like key bindings, too.
             ; (ilisp-lispm-bindings) Sample initialization hook.

             ;; Set the inferior Lisp directory to the directory of
             ;; the buffer that spawned it on the first prompt.
             (add-hook 'ilisp-init-hook
                       '(lambda ()
                          (default-directory-lisp ilisp-last-buffer)))

             ))

;; (set-default 'auto-mode-alist
;;              (append '(("\\.scm$" . scheme-mode)
;;                        ("\\.ss$" . scheme-mode)
;;                        ("\\.stk$" . scheme-mode)
;;                        ("\\.stklos$" . scheme-mode))
;;                      auto-mode-alist))

;; (add-hook 'scheme-mode-hook '(lambda () (require 'ilisp)))
